#ifndef _CUSTOM_DEVASSERT_H
#define _CUSTOM_DEVASSERT_H

#include "status.h"

/* It's better to check the input parameters of the function. */
#define DEV_ASSERT(x)                                                          \
  do {                                                                         \
    if (x) {                                                                   \
    } else {                                                                   \
      return STATUS_InvalidArgument;                                           \
    }                                                                          \
  } while (0)
#endif // _CUSTOM_DEVASSERT_H